Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class DBSecurityGroupMembership

    java.lang.Object
      com.amazonaws.services.rds.model.DBSecurityGroupMembership

    public class DBSecurityGroupMembership

extends Object

Constructor Summary
`DBSecurityGroupMembership()`

Method Summary
`String` | `getDBSecurityGroupName()` The name of the DB Security Group.
`String` | `getStatus()`
`void` | `setDBSecurityGroupName(String dBSecurityGroupName)` The name of the DB Security Group.
`void` | `setStatus(String status)`
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DBSecurityGroupMembership` | `withDBSecurityGroupName(String dBSecurityGroupName)` The name of the DB Security Group.
`DBSecurityGroupMembership` | `withStatus(String status)` Returns a reference to this object so that method calls can be chained together.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DBSecurityGroupMembership

    public DBSecurityGroupMembership()

Method Detail

### getDBSecurityGroupName

    public String getDBSecurityGroupName()

  The name of the DB Security Group.

  Returns:
    The name of the DB Security Group.

### setDBSecurityGroupName

    public void setDBSecurityGroupName(String dBSecurityGroupName)

  The name of the DB Security Group.

  Parameters:
    `dBSecurityGroupName` - The name of the DB Security Group.

### withDBSecurityGroupName

    public DBSecurityGroupMembership withDBSecurityGroupName(String dBSecurityGroupName)

  The name of the DB Security Group.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBSecurityGroupName` - The name of the DB Security Group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getStatus

    public String getStatus()

  Returns:

### setStatus

    public void setStatus(String status)

  Parameters:
    `status` -

### withStatus

    public DBSecurityGroupMembership withStatus(String status)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `status` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.